Update a Keyphrase - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Keyphrase
Endpoint:
PATCH /v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId}
Example Requests:
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "food",
"isMainKeyphrase": true
}
'```
**Python**
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId}"
payload = {
"name": "food",
"isMainKeyphrase": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'food', isMainKeyphrase: true})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PATCH",\
CURLOPT_POSTFIELDS => json_encode([\
'name' => 'food',\
'isMainKeyphrase' => true\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId}"
payload := strings.NewReader("{\n \"name\": \"food\",\n \"isMainKeyphrase\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"food\",\n \"isMainKeyphrase\": true\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases/{keyphraseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"food\",\n \"isMainKeyphrase\": true\n}"
response = http.request(request)
puts response.read_body
Response Codes
204: Successfully updated Keyphrase.
Error Codes
400: Bad Request401: Unauthorized403: Forbidden404: Not Found500: Internal Server Error
Authorization
- X-API-Key
- Type: string
- Location: header
- Required: Supply the API Key in the HTTP-Header.
Headers
Accept: Specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
lexiconId: The unique identifier for the Lexicon (required).keyphraseId: The unique identifier for the Keyphrase in the Lexicon (required).
Body
name: The name of the slot (required).isMainKeyphrase: Indicates if it is main (required).
Last Modified
Last modified on July 8, 2026.